from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class SmartTagRecognizerMode(IntEnum):
    CHAR = auto()
    SINGLE_WORD = auto()
    PARAGRAPH = auto()
    CELL = auto()
